/**
 * ParticipationTargetDevice.java
 *
 * File generated from the medication::ParticipationTargetDevice uml Enumeration
 * Generated by IHE - europe, gazelle team
 */
package net.ihe.gazelle.medication;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
/**
 * Description of the enumeration ParticipationTargetDevice.
 *
 * 
 */

@XmlType(name = "ParticipationTargetDevice")
@XmlEnum
@XmlRootElement(name = "ParticipationTargetDevice")
public enum ParticipationTargetDevice {
	@XmlEnumValue("DEV")
	DEV("DEV"),
	@XmlEnumValue("NRD")
	NRD("NRD"),
	@XmlEnumValue("RDV")
	RDV("RDV");
	
	private final String value;

    ParticipationTargetDevice(String v) {
        value = v;
    }
    
     public String value() {
        return value;
    }

    public static ParticipationTargetDevice fromValue(String v) {
        for (ParticipationTargetDevice c: ParticipationTargetDevice.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }
	
}